Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dataobjs
Class DBMobile

    java.lang.Object
      java.beans.Beans
          com.knowgate.dataobjs.DBBind
              com.knowgate.dataobjs.DBMobile

All Implemented Interfaces:
  java.sql.Wrapper, javax.sql.CommonDataSource, javax.sql.DataSource

    public class DBMobile

extends DBBind

Just a wrapper of DBBind for loading database connection properties from "mobile" instead of "hipergate" profile.

Nested Class Summary

Nested classes/interfaces inherited from class com.knowgate.dataobjs.DBBind
`DBBind.Functions`

Field Summary

Fields inherited from class com.knowgate.dataobjs.DBBind
`DBMS_ACCESS, DBMS_GENERIC, DBMS_MSSQL, DBMS_MYSQL, DBMS_ORACLE, DBMS_POSTGRESQL, DBMS_SQLITE`

Constructor Summary
`DBMobile()`

Method Summary

Methods inherited from class com.knowgate.dataobjs.DBBind
`close, connectionPool, currVal, currVal, escape, escape, exists, getConnection, getConnection, getConnection, getConnection, getDatabaseProductName, getDataModelVersion, getDataModelVersionNumber, getDBTable, getDBTablesMap, getLoginTimeout, getLogWriter, getProfileName, getProperties, getProperty, getProperty, getPropertyBool, getPropertyPath, getTable, getTime, initialize, initialize, isWrapperFor, nextVal, nextVal, restart, setLoginTimeout, setLogWriter, toXml, unwrap`

Methods inherited from class java.beans.Beans
`getInstanceOf, instantiate, instantiate, instantiate, isDesignTime, isGuiAvailable, isInstanceOf, setDesignTime, setGuiAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBMobile

    public DBMobile()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD